Last modified: 2013-11-22 04:44:53 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 46578 - Refactor the edition of Page: pages JavaScript module
Refactor the edition of Page: pages JavaScript module
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
ProofreadPage (Other open bugs)
unspecified
All All
: Normal normal with 2 votes (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: code_quality 28894 33613 Wikisource 36399 41614 43921 46724 46616
  Show dependency treegraph
 
Reported: 2013-03-26 20:15 UTC by Tpt
Modified: 2013-11-22 04:44 UTC (History)
8 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Tpt 2013-03-26 20:15:44 UTC
The code of the JavaScript module that manage Page: pages edition is old and is not maintainable any longer. A refactoring of the module is so needed before adding any new features. This can be done at the same time as the adaptation of the Visual Editor for Page; pages.

The things to do are:
- move to server part of the extension things that can be done by it as it have been done for Index: pages.
- use libraries packaged with MediaWiki like JQuery when possible.
- find and use a good free JS library for zooming into scans in order to improve the current zoom feature that might be enhanced.
Comment 1 Aarti Dwivedi 2013-11-21 15:49:10 UTC
Status: resolved fixed
Comment 2 Andre Klapper 2013-11-21 16:20:43 UTC
Aarti: Do you mean that this has been fixed in the meantime? Any links?
If so, feel free to change the status (you can do so now).

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links